# slas

SecureLang Assembler

A portable assembler with macros for assembling RV64 instructions. Produces a custom linkable format as output (full linker/loader pipeline coming later).

## History & Licensing

This is based on my earlier assembler with macro support and RV64 definitions written anew, so is entirely my own code and released under the terms of the UNLICENSE to match the C compiler code.

## Features

* Assembles simple programs & compiler output
* Custom output format is integrated into the assembler for easy extension with new linking operators

## Limitations

* Very slow for large files
* Output is too large as common linking operators aren't optimised